Bug 261661 - mkinitrd update to 6.0.12 makes machine unbootable
mkinitrd update to 6.0.12 makes machine unbootable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
All All
medium Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-28 16:55 EDT by Michal Jaegermann
Modified: 2008-04-04 13:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 13:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-08-28 16:55:12 EDT
Description of problem:

The first surprise after an update to new mkinitrd is the following

  Installing: kernel                       ##################### [ 47/184]
grubby fatal error: unable to find a suitable template

and a grub entry for a new kernel is indeed not created.

With a correspoding entry edited in into grub.conf
2.6.23-0.142.rc3.git10.fc8 starts booting and eventually it
panics at it is unable to switch to a new root.

The only real difference in 'init' script on initrd is, in my case,
this:

  echo Creating root device.
 -mkrootdev -t ext3 -o defaults,ro sda11
 +mkrootdev -t ext3 -o defaults,ro LABEL=/1
  echo Mounting root filesystem.

but editing 'init' back to "sda11" and replacing that on initrd
does not help at all.  Other differences are nash, libnash and
libbdevid.

After reverting correspoding packages to
mkinitrd-6.0.9-9.x86_64
mkinitrd-devel-6.0.9-9.x86_64
nash-6.0.9-9.x86_64
libbdevid-python-6.0.9-9.x86_64
and remaking initrd with those my machine boots with a new kernel.

Version-Release number of selected component (if applicable):
mkinitrd-6.0.12-1.fc8

How reproducible:
always
Comment 1 Peter Jones 2007-09-07 18:07:57 EDT
Does this work any better with 6.0.14-1.fc8 ?
Comment 2 Michal Jaegermann 2007-09-24 11:14:47 EDT
I was away for a while, so I did not see various versions in between, but
with the current mkinitrd-6.0.17-1.fc8 I booted without any
"heroic measures". :-)
Comment 3 ritz 2007-09-26 20:27:01 EDT
works :)
Comment 4 Bug Zapper 2008-04-04 09:42:21 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.